"{ Package: 'stx:libbasic' }"

ControlRequest subclass:#AbortOperationRequest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions-Control'
!

!AbortOperationRequest class methodsFor:'documentation'!

documentation
"
    Raised when the CTRL-y (abort operation) Key is pressed,
    or when the 'Abort'-button is pressed in the Debugger,
    or by many dialogs 'Cancel' key.

    If unhandled, this is a no-op,
    however, all windows catch this signal in their main event handling
    loop to allow for whatever operation is ongoing to be cancelled.

    Pressing CTRL-y has the same behavior as interrupting followed by pressing
    the debuggers 'Abort'-button.
"
! !

!AbortOperationRequest class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/AbortOperationRequest.st,v 1.2 2001-11-17 10:01:58 cg Exp $'
! !
